Bug 4966 - no way to finish receiving
Summary: no way to finish receiving
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Target Milestone: ---
Assignee: Alex Arnaud
QA Contact: Bugs List
URL: cgi-bin/koha/acqui/parcel.pl?invoice=...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-07 21:48 UTC by Nicole C. Engard
Modified: 2011-10-26 15:48 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Add a button in parcel.pl for confirm end receiving (1.09 KB, patch)
2011-08-05 13:53 UTC, Alex Arnaud
Details | Diff | Splinter Review
signed off modified patch (1.22 KB, patch)
2011-08-05 14:08 UTC, Nicole C. Engard
Details | Diff | Splinter Review
follow up patch (1.03 KB, patch)
2011-08-05 14:10 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 4966 - follow up - add xhtml closure for input tags (1.12 KB, patch)
2011-09-02 12:37 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-07-07 21:48:26 UTC
When receiving items in an order there is no button to confirm when you're done, you just leave the page, there should be some way to confirm that you're done with that invoice number before moving on - it's very confusing now about what I should do once i'm done ...
Comment 1 Alex Arnaud 2011-08-05 10:12:09 UTC
Is this bug still relevant ?

Actually when i click on receive link in pending Orders table i'm redirected to orderreceive.pl ( which could be this confirmation ? ). And after clicking on save button, ( and back to parcel.pl ) we can see the received item(s) in already received table.
Comment 2 Katrin Fischer 2011-08-05 10:14:04 UTC
I am not sure - perhaps Nicole means we need a way to 'close' an invoice. 
To say all books from this parcel have been received?
Comment 3 Nicole C. Engard 2011-08-05 12:02:13 UTC
Alex,

I do see what I have 'already received' but when I'm done, what do I do? It's not clear to many librarians that they just visit another page and that's just fine.  A button that says 'done receiving' would be nice because then that will take you out of the receiving area and to the vendor page or to the acq home - or anywhere but the page you were just on.

Nicole
Comment 4 Alex Arnaud 2011-08-05 13:53:26 UTC
Created attachment 4865 [details] [review]
Add a button in parcel.pl for confirm end receiving

This patch add a button in parcel.pl page for confirm End receiving. It redirects on parcels.pl of the current supplier.
Comment 5 Nicole C. Engard 2011-08-05 14:08:30 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2011-08-05 14:10:12 UTC
Created attachment 4867 [details] [review]
follow up patch

changed it from 'end' to 'finish'
Comment 7 Ian Walls 2011-08-12 16:46:52 UTC
Not valid XHTML; <input> tags not closed.  Marking as Failed QA until this can be resolved.
Comment 8 Alex Arnaud 2011-09-02 12:37:58 UTC
Created attachment 5290 [details] [review]
Bug 4966 - follow up - add xhtml closure for input tags
Comment 9 Ian Walls 2011-09-02 13:08:53 UTC
Thank you, Alex, for the followup patch addressing my QA concerns.  Consider this my signoff on that patch.  I am marking all three (taken together) as Passed QA
Comment 10 Chris Cormack 2011-09-02 19:09:57 UTC
Pushed please test
Comment 11 Katrin Fischer 2011-10-26 15:48:25 UTC
Works nicely in current mater/3.6.